recoll (1.32.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: switch to using Qt-Webengine instead of Qt-Webkit because of CSS support issues in Webkit.
  * GUI: result list paragraph format. Preserve unquoted % characters if there is no matching
    translation. USer manual: document the need to quote % as %% anyway.
  * GUI: result list devel/debug. Add parameter to dump the HTML sent to the engine.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 05 Jul 2022 09:56:00 +0200

recoll (1.32.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Try to improve font size consistency by using px sizes everywhere.
  * Fix Increase/Decrease font size menu options.
  * Allow displaying line numbers in snippets.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 29 Jun 2022 09:36:00 +0200

recoll (1.32.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix issues when opening a file with %F (parent of subdocument): avoid creating a temporary file
    when this can be avoided.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 21 Jun 2022 20:51:00 +0200

recoll (1.32.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Restore result list popup menu function when using webengine. This was broken in 1.32.1.
  * Show progress dialog when result list abstracts generation takes too long
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 14 Jun 2022 07:51:00 +0200

recoll (1.32.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI side panel filters: make sure the filter is applied even if set before
    the query.
  * GUI side panel directory filter: compute the tree from the index, not the
    file system, to allow filtering data from external indexes. Update the tree
    when an indexing completes.
  * Implement whole UI scaling factor (fonts only, no icons).
  * Orgmode: add orgmodesubdocs configuration variable to decide if we index
    whole files or create subdocuments for nodes. Also index text before the
    first heading.
  * GUI: fix path translation for importing an index from Windows.

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 20 May 2022 10:55:00 +0200

recoll (1.32.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: added a collapsible side pane for quick filtering on dates or
    directories.
  * Showing duplicates now uses a spreadsheet like the result table for
    easy access to the duplicate files.
  * Fixed the temporary copy open dialog (again!).
  * The default mimeview and mimeconf configuration files were
    separated into generic and system-specific parts to avoid update
    errors (no consequences for users).
  * Renamed all Python input handler with a .py extension. This is
    relied on Windows rather than listing an explicit python
    interpreter.
  * Added %l specification to viewer definitions for opening at a
    specific line.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 11 Mar 2022 18:17:00 +0100

recoll (1.31.6-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Almost no change: translation files update.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 20 Dec 2021 09:25:00 +0100

recoll (1.31.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix ennoying bug in tesseract OCR temporary files cleanup.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 04 Dec 2021 10:05:00 +0100

recoll (1.31.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Linux/Mac: Bug in threads management could result in index corruption or crash
    after signal interrupt.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 25 Nov 2021 16:30:00 +0100

recoll (1.31.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Highligthing for group (phrase/near): eliminate some spurious matches.
  * Fix page number string detection which could sometimes prevent correct
    highlighting in snippets.
  * Avoid query completer consuming excessive resources on unstripped
    indexes.
  * Fix some cases where different instances of the indexer could use
    different pid/lock files.
  * Fix processing on some unicode dash and apos character variations.
  * PST: fix indexing in marginal cases. Extract message dates.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 13 Nov 2021 16:30:00 +0100

recoll (1.31.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Add support for .ipynb iPython/Jupyter notebook format.
  * Implement Alt+/ shortcut to search the menu entries and possibly execute the result.
  * Fix configuration GUI button margins on Mac OS.
  * Add *.pyc __pycache__ .pytest_cache .tox  and .direnv to the default skipped names list.
  * Add /opt/homebrew/bin to the helper search path when built under Mac Homebrew.
  * Linux: let recollindex adjust its OOM killer "badness" on startup.
  * simple search: add Ctrl+H as keyboard shortcut for "show history".
  * Renamed the fragment buttons configuration file from fragbuts.xml to fragment-buttons.xml.
  * Zip archives: set the modification date attribute for members.
  * ost/pst filter: fix not fetching the message dates.
  * Anchored searches: remove unwarranted slack increase. The anchor term should behave like a
    normal one for slack computations.
  * Fix djvu issues on Windows.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 11 Oct 2021 10:51:00 +0200

recoll (1.31.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: modified shortcuts were not read from the preferences !
  * Query language. Add support for "issub" pseudo field to select standalone
    (issub:0) or embedded (issub:1) results.
  * Aspell: execute the command to retrieve the suggestions instead of loading
    the library. This will avoid an aspell error from crashing the whole
    program.
  * GUI: we didn't show the last snippet in "Show snippets"
  * GUI: fix issue with Ctrl+0 in result table.
  * Indexer: add "Flushing" state, which will explain pauses while indexing.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 27 Apr 2021 10:15:00 +0100

recoll (1.30.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: fix the table header background color for the dark mode on
    Windows, it was too clear and the text was unreadable.
  * Use the textfilemaxbs value to limit the size of indexed HTML
    size. Some gigantic files are sometimes wrongly identified as HTML by
    xdg-mime, causing out of memory errors.
  * New Japanese translation by Shin-ichi Abe (JW).
  * GUI preferences: move the result table choices to a separate tab.
  * GUI: add an option to disable showing metadata while hovering. Show the
    document text when jumping with Ctrl+xxx if this is the default for a
    mouse click.
  * Fix dependency issue for building the KDE KIO slave
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 12 Apr 2021 15:05:00 +0100

recoll (1.30.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Add a recollindex command line option to write diagnostics about not
    indexed documents to a text file, and make it accessible from the
    "special indexing" GUI menu.
  * Add a recollindex command line option to print the indexing status for
    a list of paths, e.g.:   find /mydir | recollindex --notindexed 
  * Add recollindex command line options to compact the webcache, or
    extract all entries to a target directory.
  * Web indexing: allow multiple versions of a page to exist in the index,
    and add a parameter to specify the page erase period.
  * GUI: add View menu options to adjust the font size, with 
    Ctrl+Plus/Ctrl+Minus shortcuts.
  * GUI: add popup menu option to copy the simple file name.
  * GUI: add menu entry to save a webcache entry to a file.
  * GUI: automate redisplaying the search results when switchin between
    dark and regular display modes.
  * GUI result table: fix the date format.
  * GUI result table: shortcuts for jumping to a specific row.
  * GUI result table: allow showing document text instead of metadata in
    the detail area.
  * GUI: add menu entries to copy a result document text to the clipboard.
  * GUI: add shortcuts editor.
  * GUI: move the dark/regular choice out of the View menu into the
    preferences.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 01 Apr 2021 14:00:00 +0100

recoll (1.29.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: fix bad background in result table dark mode.
  * ms openxml: process a variety of derived/aux formats as the base ones
    (.pptm etc.)
  * Python module: add method to retrieve the full snippets list.
  * Allow setting a per-handler-type indexing timeout.
  * Small bug fixes.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 13 Mar 2021 11:00:00 +0100

recoll (1.29.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Shortcuts editor
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 09 Mar 2021 10:00:00 +0100

recoll (1.28.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix error in 1.28.3 which broke indexing RTF files with a .doc extension.
  * Allow phrase and proximity searches with multiword synonyms.
  * an 1.28.4 with a trivial crash briefly existed
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 16 Jan 2021 15:00:00 +0100

recoll (1.28.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix an issue in Python extension: Doc attribute setting not working.
    This had very little impact as regular clients like the Webui or the
    GSSP do not modify the Doc objects.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 30 Dec 2020 08:42:00 +0100

recoll (1.28.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix category button frame vertically stretching with the main window.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 28 Dec 2020 18:42:00 +0100

recoll (1.28.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix build error caused by wasaStringToRcl interface change.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 28 Dec 2020 14:22:00 +0100

recoll (1.28.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: add preferences options to hide most GUI elements except the result
    area and the simple search entry.
  * GUI: reorganized menus.
  * GUI: add preference for separate indexing log file.
  * Fix CJK indexing in specific case of encountering numeric after CJK
    punctuation.
  * Use py7zr in preference to pylzma for 7z archive indexing
  * Increase query slice size from 50 to 100 for better performance.
  * Process emacs org-mode files.
  * Fix bug in mail header processing.
  * Python extension: improve the Python Doc object.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 27 Dec 2020 09:59:00 +0100

recoll (1.27.12-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Repair python source file indexing and spelling replacements

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 18 Nov 2020 16:15:00 +0100

recoll (1.27.11-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Missing files in tar dist broke the python modules.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 09 Nov 2020 12:20:00 +0100

recoll (1.27.10-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix real-time indexer not working when topdirs was /
  * rclpython: renamed rclpython.py. Use rclexecm. Only colorize for
    preview, not indexing.
  * mimemap: add .xlsm
  * Python module: merge pyrecoll and pyrclextract C extensions into one
    _pyrecoll and create 2 python modules to maintain compat 
  * Fix crash on ARM
  * dark mode: improve visibility of checkable actions
  * pdf annot: guard against possible exception while formatting results
    Index pdf annotations separately under field name annotation. Add
    annot, pdfannot and pa aliases. 

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 04 Nov 2020 20:00:00 +0100

recoll (1.27.9-2~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix bug in result table display.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 04 Oct 2020 20:00:00 +0200

recoll (1.27.8-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * A bug in utf8 truncation could lead to indexing failure by trying to
    add an excessively long file name term.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 03 Oct 2020 15:23:00 +0200

recoll (1.27.7-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Improve result table display speed for big result sets.
  * "underscoreasletter" configuration parameter.
  * Menu entry to switch to dark display from .

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 02 Oct 2020 14:25:00 +0200

recoll (1.27.6-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Process PDF annotations if the poppler-glib Python bindings are available
  * Fix build error with some compiler versions
  * Fix inconsistent lock file name issue which could result in background
    indexer exit.
  * recollq: new -p option to show snippets lists instead of abstracts with
    -A
  * Fix nonumbers option.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 13 Sep 2020 13:29:00 +0200

recoll (1.27.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Misc small fixes.
  * Fix recollindex -r not working with relative paths.
  * Fix PDF attachment processing.
  * Fix duplicate detection in some cases.
  * Process text/plain subdocuments (e.g. zip archive members) in the same
    way as top level files (esp: perform paging for big texts).
  * Msword .docx: avoid extracting some non-text data
  * Index Visio documents (.vsdx format only).
  * Epub: index the metadata "subjects" fields.
  * GUI: separate popup menu entries for "open parent" and "open folder".
  * GUI: doc icons were not shown with newer webengine versions.
  * GUI file name search: sort directories first.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 17 Aug 2020 18:18:00 +0200

recoll (1.27.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Misc small fixes. Nothing major, see the git log for details
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 27 Jun 2020 14:29:00 +0200

recoll (1.27.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Korean: index the whole words along the split ones.
  * Saved simple searches: also save/restore the active external indexes.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 25 May 2020 09:29:00 +0200

recoll (1.27.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Korean: index all mecab tags until we know more.

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 11 May 2020 08:38:00 +0200

recoll (1.27.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Support for language-sensitive analysis of Korean text
  * Index docx endnotes and footnotes
  * Other small improvements.

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 06 May 2020 15:32:00 +0200

recoll (1.26.6-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Minor fixes. Checkpoint before korean splitter merge.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 26 Mar 2020 11:08:00 +0100

recoll (1.26.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Version bump for the new OCR scripts
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 27 Feb 2020 18:18:00 +0100

recoll (1.26.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fixes potential infinite loop in decompression. Other small bug fixes.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 23 Jan 2020 08:00:00 +0100

recoll (1.26.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Small bug fixes and extensions
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 29 Nov 2019 10:28:00 +0200

recoll (1.26.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix the default history size, 1.26.0 disabled the search history by default
  * Fix memorizing the temp file warning when changed from dialog.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 25 Oct 2019 16:48:00 +0200

recoll (1.26.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Windows: aspell support.
  * Windows: pst file indexing.
  * Windows: use the Windows task scheduler to schedule batch indexing.
  * GUI: add Previous/Next buttons to the preview Window.
  * GUI: improved search completer.
  * GUI: add preference to turn off desktop notifications.
  * GUI: add popup menu to snippets window to toggle page/relevance
    ordering.
  * GUI: add preference to limit search history length or disable it.
  * GUI: improved query language help tooltip.
  * Reworked the group matching code used for highlighting and snippets.
  * Allow displaying snippets for successive documents in the snippet
    window, link to result table hovering.
  * Properly highlight phrases, not treating them as NEAR.
  * Fix the CJK phrase processing, the slack was wrong, resulting in bogus
    matches     
  * Ignore all ASCII whitespace when generating CJK ngrams.
  * Process all Korean Hangul as alphabetic, not CJK (split as space
    separated terms).
  * GUI: improvements in preview up to date checks.
  * Added 'onlyNames' configuration variable for filtering file names.
  * Avoid purging existing data when reindexing a file fails, for example,
    on Windows, because the file is locked.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 14 Oct 2019 08:30:00 +0200

recoll (1.25.23-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Small fixes: fix problem with some mbox formats, clickable urls in
    about dialog, Fix F1 not starting help anymore. Windows: avoid purging
    the index if a share is disconnected while we work. Windows: avoid
    picking up the wrong pdftotext.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 07 Oct 2019 11:08:00 +0200

recoll (1.25.22-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Small fixes: mbox offsets wrong in some cases, rcltex charset
    detection, doctype action editor fixes, use xdg-open %U, fix restable
    colwidths prefs size explosion.

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 27 Aug 2019 14:57:00 +0200

recoll (1.25.21-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Windows: fix mbox cache offset which was not working at all
  * GUI: fix restable highlighting, again.
  * GUI: special indexing: no indexing was performed when erase was set,
    only erase.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 08 Aug 2019 14:16:00 +0200

recoll (1.25.20-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: preview: improve operation when the original file has changed or
    can't be read: use stored data.
  * GUI: result table contents were not reset when the search was cleared.
  * Windows: fix paths accented character processing in configuration GUI.
  * Windows: fix temporary file deletion. Many were not deleted because
    they were still opened by the handler when we tried to remove
    them. Fixed a number of handlers to properly close the file, and add a
    cleanup pass after the handler cache is cleaned at the end of indexing.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 22 Jul 2019 15:52:00 +0200

recoll (1.25.19-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix issues in pdf handler

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 13 Jun 2019 08:41:00 +0200

recoll (1.25.18-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: fixed webengine result list for newer qt versions (5.12 ok)

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 27 May 2019 17:07:00 +0200

recoll (1.25.17-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fixed bug in snippets generation, possibly discarding the best snippets.
  * Small improvements in synonyms handling, significant for big synonym
    files. 
  * Raw indexes: fix test for capitals in user input in a few marginal
    cases.
  * ppt-dump: catch exceptions to avoid system reports.
  * djvu: fix output from non-ASCII files  
  * GUI: fix highlighting in table mode
  * GUI: add "Open" button to preview window
  * GUI: fix crash when reusing a result list after changing preferences
    (and in other cases too  maybe).
  * Python: fix memory leak in Python module.
  * Python: properly manage querying multiple separate indexes.

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 24 May 2019 08:58:00 +0200

recoll (1.25.12-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.12
  * Fixes GUI crash
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 11 Apr 2019 15:52:00 +0200

recoll (1.25.11-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.11
  * Performance improvement in ole-dumper
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 28 Mar 2019 06:14:00 +0100

recoll (1.25.10-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.10
  * Python handlers performance and behaviour improvements
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 26 Mar 2019 09:26:00 +0100

recoll (1.25.9-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.9
  * Fixes crash in python module.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 22 Mar 2019 10:07:00 +0100

recoll (1.25.8-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.8
  * Minor updates
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 21 Mar 2019 14:14:00 +0100

recoll (1.25.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.4
  * Fixes a few minor-to-ennoying bugs
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 19 Feb 2019 08:42:00 +0100

recoll (1.25.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.3
  * New GUI term completion tool, fetching from search history and index
    terms.
  * All Python scripts converted to Python3 and using it by default.
  * XML formats formerly using xsltproc now handled internally through
    libxml2 and libxslt.
  * Better support for mountable volumes: empty elements of topdirs are
    ignored (the corresponding index data is not purged).
  * GUI: remember and manage maximized state.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 15 Feb 2019 08:42:00 +0100

recoll (1.24.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.24.1.
  * New snippets generation method, using document text stored in the index
    (default only for new indexes and Xapian 1.4, can be forced by setting
    iindexStoreDocText and deleting the old index). 
  * New range queries : fieldname:min..max, usable only if the field has
    been appropriately configured. 
  * Improved support for removable volumes.
  * It is now  possible to use a readonly index directory for searches.
  * CHM and EPUB indexing: add chmcatenate and epubcatenate to specify that
    the contents should be indexed as a whole instead of broken up in
    chapters (resulting in a single search result for the document). 
  * Added -L option to recoll for forcing message language, overriding NLS
    environment. 
  * Fixed clicks on orthographic suggestions which did not work any more
    with qt5. 
  * All input handlers should now be compatible with Python3, but still use
    Python2. 
  * New idxtexttruncatelen configuration variable to only index the
    beginning of documents. 
  * Fixes "error 9 on netlink descriptor" GUI crash
    
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 14 May 2018 08:55:00 +0100

recoll (1.23.8-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.23.8. Fixes "error 9 on netlink descriptor" GUI crash
    
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 12 Apr 2018 14:13:00 +0100

recoll (1.23.7-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fix ennoying bug in dir filtering with upper-case names
    
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 08 Jan 2018 22:18:00 +0100

recoll (1.23.6-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Make sure new indexes are created in Chert format, even with Xapian 1.4
    This works around the Glass snippets generation issue (UI freezes).
    
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 08 Dec 2017 15:18:00 +0100

recoll (1.23.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Support the new browser plugin based on WebExtensions.
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 24 Nov 2017 17:06:00 +0100

recoll (1.23.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Restore search mode when loading saved simple search.
  * Add option -P to recollindex to force purge with -i.
  * Split package into non-gui/gui subpackages.
  * Add -L option to GUI for forcing messages language.
  * Removed 'bin' from default skippedNames.
  * Improve robustness of email header parser against encoding errors.
  * email: fix additional header indexing.
  * Restable: fix popup menu (show dups would open parent folder).
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 16 Nov 2017 09:33:00 +0100

recoll (1.23.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Added function to list files which we failed to index (accessible from
    the GUI term explorer).
  * Always process text/html when resulting from a conversion even if the
    type is excluded by indexedmimetypes or excludedmimetypes.
  * Small fixes to pdf XMP metadata handling.
  * Small fixes for supporting Dragonfly BSD.
  * GUI qss file: force text color to black to avoid white on white text
    problem with some KDE themes.
  * Fixed issue on Windows which prevented adding a drive root (e.g. d:/)
    to topdirs.
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 10 Nov 2017 09:24:00 +0100

recoll (1.23.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fix issue with advanced search clause list growth explosion
  * Fix crash in text splitter
  * Updated pdf handler with XML metadata capability
  * Small improvement for Japanese handling
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 15 May 2017 12:39:00 +0100

recoll (1.23.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Small fixes to kio build

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 28 Mar 2017 08:48:00 +0100

recoll (1.23.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Misc changes, mostly internal

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 27 Feb 2017 18:53:00 +0100

recoll (1.22.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fix advanced search 'start search' not doing anything with qt5

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 25 Nov 2016 11:38:00 +0100

recoll (1.22.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * 

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 21 Jun 2016 15:11:00 +0200

recoll (1.22.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Packaging fixes.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 16 Jun 2016 09:11:00 +0200

recoll (1.22.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fixed two GUI crashes
  * Small other fixes

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 14 Jun 2016 17:31:00 +0200

recoll (1.22.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New build based on autotools
  * Synonyms
  * Windows port

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 05 Apr 2016 16:01:00 +0200

recoll (1.21.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fix query language parser for multiple mime or rclcat entries

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 29 Jan 2016 14:48:00 +0200

recoll (1.21.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Show confirmation dialog when opening temp files + small bug fixes

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 12 Jan 2016 16:19:00 +0200

recoll (1.21.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fix webcache size being capped at 1 GB

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 31 Oct 2015 09:26:00 +0200

recoll (1.21.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New special indexing dialog in GUI
  * Fix advanced search dialog "Any Clause" mode
  * Fixed a few bounds issues caught by Windows VC++
  * Miscellaneous other minor fixes

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 01 Oct 2015 09:40:00 +0200

recoll (1.21.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New bison-based query parser.
  * Improves filter execution performance
  * Save/reload queries

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 16 Jun 2015 18:10:00 +0200

recoll (1.20.6-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fix some decompression issues with serious performance and
    system load consequences in some cases (depending on data): minimum
    checking that enough temp space is available before uncompressing, no
    need to uncompress tar.gz files, set a default of 20 MBs for
    maxcompressedfilekbs.
  * rclscribus fixes.
  * GUI messages: Danish translation and fix 2 dialogs which were not
    translated improvements.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 25 Apr 2015 14:36:00 +0200

recoll (1.20.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Should have been in 1.20.3: skip compressed fs image files like xxx.img.gz
    by default (mimemap:recoll_noindex).

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 30 Mar 2015 10:06:00 +0200

recoll (1.20.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * fixes a bug where the real time indexer did not process the web queue
  * miscellaneous usability improvements in the GUI.
  * Copy sample fragbuts.xml file if it does not exist

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 28 Mar 2015 09:40:00 +0200

recoll (1.20.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * 1.20.1 brings improved indexing of compound words like email addresses
    and miscellaneous usability improvements in the GUI.

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 19 Dec 2014 08:14:00 +0200

recoll (1.19.14p2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * 1.19.14p2 fixes Bengali diacritics processing, a memory leak in the
    Python module, and a few minor issues in the filters.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 11 Sep 2014 07:47:00 +0200

recoll (1.19.14p1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * 1.19.14p1 fixes a descriptor and memory leak in the Python module. The
    main programs and library are unchanged.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 26 Jun 2014 13:14:00 +0200

recoll (1.19.14-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * 1.19.14 fixes two relatively minor but ennoying issues in indexing:

   - The use of a separate readonly Database object for querying the index
     while indexing would trigger Xapian errors, (bad block reads), and
     subsequent up-to-date check failures (leading to unnecessary
     reindexing). The jury is out as to the cause, but using the same
     object for reading and writing seems to eliminate the problem.

   - A spurious log message in the child process between forking and
     executing the filter could block on a mutex, and lead to a 20 mn
     timeout for the affected father process thread (happened only in
     multithread mode).
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 07 Jun 2014 18:56:00 +0200

recoll (1.19.13-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * 1.19.13 hopefully fixes the multithreaded indexing crashes and silences
    the noisy ppt extractor failures.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 06 May 2014 14:22:00 +0200

recoll (1.19.12p2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * 1.19.12 p1 + restable doubleclick
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 07 Apr 2014 16:17:00 +0200

recoll (1.19.12p1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * 1.19.12 install forgot the xls filter 

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 06 Apr 2014 06:57:00 +0200

recoll (1.19.12-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Minor fixes to 1.19.11. Make metadata stored length a parameter. 
  * New xls dumper based on mso-dumper removes catdoc dependency
  * Move out the code for the Ubuntu Unity lens and scope

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 02 Apr 2014 15:12:00 +0200

recoll (1.19.11p1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * minor fixes to 1.19.10

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 27 Nov 2013 09:54:00 +0200

recoll (1.19.10-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Support for saucy in 1.19. Separate python and python3 packages

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 23 Nov 2013 16:01:46 +0100

recoll (1.18.1-1) experimental; urgency=low

  * New upstream version:
    + Please read README.Debian for changes in index db format.
  * debian/patches/txtcsvopen.diff:
    + Dropped. Merged upstream.
  * debian/patches/fix-manpage-typos.patch:
    + Added patch to fix manpage typos and groff errors.
  * debian/control:
    + Added VCS-* fields.

 -- Kartik Mistry <kartik@debian.org>  Tue, 13 Nov 2012 12:29:46 +0530

recoll (1.17.3-2) unstable; urgency=medium

  * debian/rules:
    + Call dh_python2 for python-recoll. (Closes: #681586)
  * debian/control:
    + Added X-Python-Version field for correct Python version dependency.

 -- Kartik Mistry <kartik@debian.org>  Sat, 14 Jul 2012 20:20:56 +0530

recoll (1.17.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/txtcsvopen.diff:
    + Added patch to fix opening of compressed text-files with gnumeric.
      (Closes: #674756)

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Jun 2012 11:46:57 +0530

recoll (1.17.2-1) unstable; urgency=low

  * New upstream release:
    + Dropped patches: fix-kFreeBSD-ftbfs.patch, recoll_ionice_getpid.patch.
      These are merged with upstream.
    + Refreshed patch: fix-python-install.patch.
  * debian/rules, debian/control:
    + Added hardening support.
  * debian/copyright:
    + Fixed duplicate Copyright sections.

 -- Kartik Mistry <kartik@debian.org>  Fri, 18 May 2012 10:59:21 +0530

recoll (1.17.1-2) unstable; urgency=low

  * debian/patches:
    + fix-kFreeBSD-ftbfs.patch: Added patch to fix FTBFS on kFreeBSD from
      upstream (Closes: #667083)
    + recoll_ionice_getpid.patch: Added patch to fix FTBFS with gcc-4.7 from
      upstream (Closes: #667352)

 -- Kartik Mistry <kartik@debian.org>  Wed, 04 Apr 2012 12:16:48 +0530

recoll (1.17.1-1) unstable; urgency=low

  * New upstream release.
  * Enable Python module resulting into new binary: python-recoll.
  * debian/control:
    + Updated Build-Deps: libqtwebkit-dev, python-all-dev.
    + Added python-recoll binary.
    + Updated Standards-Version to 3.9.3
  * debian/rules:
    + Build Python module by default.
  * debian/recoll.menu, debian/python-recoll.install, debian/recoll.install:
    + Changes for new binary package.
  * debian/copyright:
    + Updated to copyright-format 1.0
    + Updated upstream and Debian copyright.
    + Fixed unicode.org/copyright.html URL.

 -- Kartik Mistry <kartik@debian.org>  Tue, 27 Mar 2012 12:15:51 +0530

recoll (1.16.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Updated as per DEP-5 format, simplying copyright file.
  * debian/control:
    + Dropped: flac, vorbis-tools and libid3-tools from Suggests, as
      python-mutagen handles audio now.
    + Dropped: lyx from Suggests, as it will be too heavy for most of users as
      discussed with upstream.
  * debian/rules:
    + Use STRIP variable to strip during install phase. This makes patch
      01_nostrip_final_binaries_437901.diff obsolete, removed this patch.

 -- Kartik Mistry <kartik@debian.org>  Wed, 09 Nov 2011 20:35:16 +0530

recoll (1.16.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Added missing GPL-3 URL in debian/* copyright section.

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Sep 2011 10:06:54 +0530

recoll (1.16.0-1) unstable; urgency=low

  * New upstream release:
    + See README.Debian for upgrade note and information.
  * debian/copyright:
    + Updated as per latest DEP-5 format.
  * debian/control:
    + Recommends: xdg-utils now.
  * debian/rules:
    + Added recommends build targets.

 -- Kartik Mistry <kartik@debian.org>  Thu, 22 Sep 2011 21:30:25 +0530

recoll (1.15.9-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch 02_recoll_staticfix_626882.diff, merged upstream

 -- Kartik Mistry <kartik@debian.org>  Wed, 15 Jun 2011 09:20:20 +0530

recoll (1.15.8-2) unstable; urgency=low

  * debian/patches/02_recoll_staticfix_626882.diff:
    + Added patch to fix segfault in 1.15.8. Patch from Jean-Francois Dockes
      <jf@dockes.org> (Closes: #626882)

 -- Kartik Mistry <kartik@debian.org>  Tue, 17 May 2011 09:57:50 +0530

recoll (1.15.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02_kfreebsd-ftbfs.diff:
    + Removed. Merged with upstream.
  * debian/control:
    + Updated to Standards-Version 3.9.2 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Thu, 12 May 2011 09:47:21 +0530

recoll (1.15.7-2) unstable; urgency=low

  * Applied patch 02_kfreebsd-ftbfs.diff from upstream to fix FTBFS
    on kFreeBSD-* (Closes: #618796)
  * debian/copyright:
    + Updated to latest DEP-5 specification

 -- Kartik Mistry <kartik@debian.org>  Fri, 15 Apr 2011 18:38:54 +0530

recoll (1.15.7-1) unstable; urgency=low

  * New upstream release:
    + Fixed: Segmentation fault when file type radio button clicked.
      (Closes: #617353)
  * debian/patches/02_manpage_fix.diff:
    + Removed. Merged with upstream.

 -- Kartik Mistry <kartik@debian.org>  Sun, 13 Mar 2011 09:07:57 +0530

recoll (1.15.2-1) unstable; urgency=low

  * Upload to unstable
  * New upstream release
  * debian/patches:
    + Refreshed 01_nostrip_final_binaries_437901.diff
    + Added 02_manpage_fix.diff to fix manpage groff issues

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Feb 2011 11:25:58 +0530

recoll (1.14.4-1) experimental; urgency=low

  * New upstream release
  * debian/copyright:
    + Updated for DEP-5 format specification

 -- Kartik Mistry <kartik@debian.org>  Thu, 02 Dec 2010 00:29:06 +0530

recoll (1.14.2-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Added xlstproc as Recommends (Closes: #587684)
    + Added python-mutagen as Suggests
  * debian/patches:
    + Refreshed 01_nostrip_final_binaries_437901.diff
    + Removed 02_recoll-prepare-for-xapian-1.2.diff, merged with upstream

 -- Kartik Mistry <kartik@debian.org>  Mon, 27 Sep 2010 17:52:17 +0530

recoll (1.13.04-3) unstable; urgency=low

  * Added patch for xapian 1.2 compatibility from Olly Betts <olly@survex.com>
    (Closes: #579929)

 -- Kartik Mistry <kartik@debian.org>  Mon, 03 May 2010 09:47:16 +0530

recoll (1.13.04-2) unstable; urgency=low

  * debian/control:
    + Added missing packages to Suggests: flac, libid3-tools, lyx, pstotext,
      python-chm, untex, vorbis-tools Thanks to Ivan Vilata i Balaguer
      <ivan@selidor.net> (Closes: #578441)

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Apr 2010 11:07:00 +0530

recoll (1.13.04-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Fri, 16 Apr 2010 10:39:02 +0530

recoll (1.13.02-2) unstable; urgency=low

  * debian/control:
    + Don't suggest xpdf (Closes: #569333)
  * debian/copyright:
    + Updated Debian package copyright year
  * Removed unused README.source file

 -- Kartik Mistry <kartik@debian.org>  Fri, 19 Feb 2010 10:42:53 +0530

recoll (1.13.02-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.8.4 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Feb 2010 11:00:53 +0530

recoll (1.13.01-1) unstable; urgency=low

  * New upstream release
    + Fixed bug that causes field values ignored for Capitalized words and
      phrases

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Jan 2010 10:09:15 +0530

recoll (1.13.00-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Fixed package descriptions, replaced QT->Qt (Closes: #563725)
  * debian/patches/01_nostrip_final_binaries_437901.diff:
    + Refreshed patch for upstream changes
  * Converted package to new source format '3.0 (quilt)'

 -- Kartik Mistry <kartik@debian.org>  Tue, 05 Jan 2010 23:23:30 +0530

recoll (1.12.4-1) unstable; urgency=low

  * New upstream release:
    + Fixed FTBFS with binutils-gold (Closes: #556315)

 -- Kartik Mistry <kartik@debian.org>  Fri, 11 Dec 2009 00:08:37 +0530

recoll (1.12.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated Build-Depends on libqt4-dev as we are building Qt4 ui now
  * debian/rules:
    + Make sure that we call qmake-qt4

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Oct 2009 22:44:50 +0530

recoll (1.12.2-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch 02_manpage_fixes.diff, merged with upstream
  * Added debian/README.source file to confirm with latest policy
  * Removed debian/docs, we are using dh_installdocs in debian/rules
  * debian/control:
    + Wrapped up Build-Depends
    + Depends on quilt, since patch system is using quilt now
    + Updated to Standards-Version 3.8.3
    + Updated dependency on libxapian-dev (>= 1.0.15)
  * debian/rules:
    + Changes for quilt migration

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Oct 2009 10:14:05 +0530

recoll (1.12.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.8.2 (no changes needed)
  * debian/copyright:
    + [Lintian] Removed licenses URL links to symlink

 -- Kartik Mistry <kartik@debian.org>  Sat, 27 Jun 2009 20:08:28 +0530

recoll (1.12.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + [Lintian] Updated for use of correct copyright symbol © instead of (C)
    + Updated Debian packaging copyright year
  * debian/rules:
    + Used dh_prep instead of deprecated dh_clean -k
  * debian/control:
    + Updated debhelper dependency to 7
  * debian/patches:
    + Dropped 02_gcc-snapshot-missing-headers-fix.dpatch, merged with upstream
    + Added patch 02_manpage_fixes.dpatch for groff warnings

 -- Kartik Mistry <kartik@debian.org>  Sat, 28 Feb 2009 14:33:53 +0530

recoll (1.11.0-2) unstable; urgency=low

  * debian/control:
    + Added versioned build-dep on libxapian-dev, Thanks to Brad Sawatzky
      <brad+debian@swatter.net> for catch (Closes: #507473)
    + Add libimage-exiftool-perl as Suggests in which I forgot in
      previous upload
  * debian/changelog:
    + Fixed typo from previous upload entry

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Dec 2008 15:05:55 +0530

recoll (1.11.0-1) unstable; urgency=low

  * New upstream release:
    + Remembers missing filters in first run (Closes: #500690)
  * debian/control:
    + Added libimage-exiftool-perl as Suggests (Closes: #502427)
    + Added Python as recommended due to filters/rclpython script
      although, its not necessary as it will be installed only
      when Python is present
  * debian/patches:
    + Refreshed patch for gcc 4.4 FTBFS (Closes: #505376)
  * debian/copyright:
    + Updated for newly added filter and image files

 -- Kartik Mistry <kartik@debian.org>  Thu, 13 Nov 2008 21:18:15 +0530

recoll (1.10.6-1) unstable; urgency=low

  * New upstream release
    + Fixed typo in tooltip in indexing configuration (Closes: #486689)
    + Dropped patch 03_manpage_fixes.dpatch, merged with upstream
  * debian/control:
    + Updated to Standards-Version 3.8.0 (no changes needed)
    + Updated my maintainer email address
  * debian/copyright:
    + Updated my maintainer email address
    + Updated license text to proposed license format
    + Updated upstream copyright year

 -- Kartik Mistry <kartik@debian.org>  Thu, 11 Sep 2008 16:06:48 +0530

recoll (1.10.2-1) unstable; urgency=low

  * New upstream release
    + Updated patch debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch
      Some portions are now merged with upstream
  * debian/copyright:
    + Fixed indentation to 80 characters
    + Updated Debian package copyright year

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 29 May 2008 23:25:40 +0530

recoll (1.10.1-1) unstable; urgency=low

  * New upstream release
    + Updated debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch
      Some portions are merged with upstream
  * debian/control:
    + Fixed short description, Thanks to Mohammed Adnène Trojette
      <adn+deb@diwi.org>
  * debian/patches/03_manpage_fixes.dpatch:
    + Added patch to fix manpage groff warnings

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 27 Feb 2008 18:41:25 +0530

recoll (1.10.0-5) unstable; urgency=low

  * debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch:
    + Really fixed the FTBFS with gcc-4.3/g++-4.3 (Closes: #455652)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sun, 27 Jan 2008 14:37:53 +0530

recoll (1.10.0-4) unstable; urgency=low

  * debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch:
    + Updated patch to fix missing include header in qtgui/main.cpp
      (Closes: #455652)
  * debian/copyright:
    + Updated missing license for qtgui/q3richtext_p.h
    + Moved other copyright holders for GPL above license
      to make it readable

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 23 Jan 2008 10:42:20 +0530

recoll (1.10.0-3) unstable; urgency=low

  * debian/control:
    + Added external helper programs and utilities to Suggests field
     (Closes: #441629, #457033)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 28 Dec 2007 08:12:52 +0530

recoll (1.10.0-2) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.7.3
  * debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch:
    + Added patch to fix compilation with gcc-snapshot due to
      missing headers (Closes: #455652)
  * debian/rules:
    + Fixed clean target

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 11 Dec 2007 14:42:47 +0530

recoll (1.10.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Moved Homepage: entry to control field
    + Dropped unnecessary dependency on qt3-dev-tools

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 28 Nov 2007 19:54:58 +0530

recoll (1.9.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches: dropped 02_desktop_entry_fixes.dpatch, merged with
    upstream, rewrote 01_nostrip_final_binary_437901.dpatch after upstream
    changes
  * debian/menu: used Data Management since it is better and appropriate
  * debian/copyright: added missing copyright from index/csguess.cpp

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 12 Sep 2007 14:05:39 +0530

recoll (1.8.2-3) unstable; urgency=low

  * debian/rules: added better clean target, better configure flags,
    separated LDFLAGS
  * Added dpatch support
  * debian/patches/01_nostrip_final_binary_437901.dpatch: added patch to not
    strip binary from upstream (Closes: #437901)
  * debian/patches/02_desktop_entry_fixes.dpatch: added patch to fix desktop
    menu entry according to freedesktop standards
  * debian/menu: fixed according to latest menu policy, changed subsection to
    Tools from Databases (hint taken from beagle)
  * debian/copyright: moved copyright out of license section, adjusted
    copyrights portions under proper license

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 18 Aug 2007 20:28:49 +0530

recoll (1.8.2-2) unstable; urgency=low

  * debian/rules: xapian is dynamically linked now, Thanks to
    Jean-Francois Dockes <jean-francois.dockes@wanadoo.fr> (Closes: #427783)
  * Fixed debian/watch file, Thanks to Vincent Fourmond <fourmond@debian.org>

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 08 Jun 2007 10:51:01 +0530

recoll (1.8.2-1) unstable; urgency=low

  * New upstream release
  * debian/watch: fixed now
  * debian/control: fixed long descriptions

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 22 May 2007 15:24:54 +0530

recoll (1.8.1-1) unstable; urgency=low

  * Initial release (Closes: #422039)
  * Based on package prepared by Jean-Francois Dockes <jean-francois.dockes@wanadoo.fr>

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu,  3 May 2007 12:15:02 +0530
